Subject: Re: [PATCH 1/1] powerpc: Fix partition migration hang under load

From: Brian King <[email-masked]>
Date: Fri, 30 Jan 2009 08:08:45 -0600

Nathan Lynch wrote:
> Brian King wrote:
>> While testing partition migration with heavy CPU load using
>> shared processors, it was observed that sometimes the migration
>> would never complete and would appear to hang. Currently, the
>> migration code assumes that if H_SUCCESS is returned from the H_JOIN
>> then the migration is complete and the processor is waking up on
>> the target system. If there was an outstanding PROD to the processor
>> when the H_JOIN is called, however, it will return H_SUCCESS on the source
>> system
> 
> Hmm, did you determine where that outstanding H_PROD is coming from?
> AFAICT this is the only code which uses that hcall, and all processors
> should have "consumed" their prods from one migration before another
> migration can commence.

Not for certain. After a successful migration we PROD all the processors,
including the one doing all the PRODs. Not sure if this is where the
PROD was coming from that was causing the migration hang or not. The failing
testcase involved keeping the CPUs extremely busy and migrating back and
forth between two systems. 

-Brian

-- 
Brian King
Linux on Power Virtualization
IBM Linux Technology Center